const axios = require('axios').default;
var baseURL = 'https://api.auralist.ml';
module.exports = {
    /**
     * 
     * @param {String} botID 
     */
    botInfo: async function (botID) {
        let response = await axios.get(`${baseURL}/api/info/${botID}`)
        const data = response.data;
        if (data == false) throw new TypeError('Bot no encontrado')
        return {
            addedAt: data.botAddedAt,
            invite: data.botInvite,
            verified: data.botVerified,
            id: data.botID,
            ownerId: data.botOwnerID,
            upvotes: data.botUpvotes,
            tags: data.botTags,
            avatarURL: data.botAvatar,
            prefix: data.botPrefix,
            shortDescription: data.botShortDescription,
            largeDescription: data.botLargeDescription,
            shortURL: data.botShortURL ? data.botShortURL : null
        }
    },
    /**
     * 
     * @param {any} client 
     * @param {String} apiToken 
     * @returns {Boolean} Si fue hecho correctamente da true, caso contrario tira error
     */
    postStats: async function (client, apiToken) {
        return new Promise((resolve, reject) => {
            if (!client) return reject("Cliente de Discord inválido o no especificado.")
            if (!apiToken) return reject("El token de la API es necesaria para hacer el post.");
            axios.get(`${baseURL}/api/check/${apiToken}/${client.user.id}`)
                .then(response => {
                    if (response.data == false) return reject("Token inválido");
                    const data = { client: client.toJSON() }
                    axios.post(`${baseURL}/api/post_stats/${apiToken}/${client.user.id}`, data, {
                        headers: { 'Content-Type': 'application/json' }
                    })
                        .then(a => resolve(true))
                        .catch(err => reject("Algo pasó al subir los datos... Recomiendo manejar este error con un catch ya que la API suele irse offline."));
                })
                .catch(err => {
                    reject(err)
                });
        });
    }
}
