# Aura Bot List API
* Instalación
```
npm i aura-api --save
```

# Funciones disponibles

| Funciones |      Parámetros      |
|:---------:|:--------------------:|
|  botInfo  |      ("bot id")      |
| postStats |  (client, "api key") |

# Inicio
* Buscar la información de un bot de Aura Bot List
```js
const abl = require('aura-api');

abl.botInfo("822903532192661564")
.then(bot => console.log(bot))
.catch(err => console.log('Bot no encontrado')) // El bot debe estar en la web para que funcione
/* Ejemplo de respuesta: (Este bot no se encuentra listado
                          asi que no intentes buscarlo, solo es un ejemplo)*/
    EJEMPLO = {
        addedAt: "2021-08-17T13:55:08.792Z",
        invite: "https://discord.com/api/oauth2/authorize?client_id=822903532192661564&permissions=8&scope=bot",
        verified: false,
        id: "822903532192661564",
        ownerId: "735295378563399711",
        upvotes: 15,
        tags: ["Moderación", "Utilidad"],
        avatarURL: "https://cdn.discordapp.com/avatars/822903532192661564/dcd1ee4454b08e4785d8ac2212465ef0.png?size=1024",
        prefix: "au!",
        shortDescription: "Top Text",
        largeDescription: "Bottom Text",
        shortURL: null
    }
```

* Publicar servidores y usuarios del bot a la Bot List
```js
const abl = require('aura-api');
const { Client } = require('discord.js')
const client = new Client();

client.on('ready', async () => {
    setInterval(() => {
        abl.postStats(client, "api key aqui")
        .catch(err => { }) // Recomiendo no hacer nada ya que la API se puede ir offline y se puede llenar 
                           // de errores tu consola.
    }, 30000)
});
```
# Registro de cambios
* 1.1.0 -> Se ha arreglado el botInfo
* 2.0.1 -> Se ha mejorado la funcionalidad un poco y marcado como deprecated las versiones 1.1.5 y anteriores
Y asegurate de revisar nuestra [página web](https://auralist.glitch.me/bots) y nuestro [discord](https://discord.gg/JJDUvphQty)